<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>AngularJS Drag-and-Drop</title>
      
      <!-- jQuery Files -->
      <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
      <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1/jquery-ui.min.js"></script>
      
      <!-- AngularJs Files -->
      <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
      <script type="text/javascript" src="resource/js/dragdrop.js"></script>
      
      <!-- Angular Drag-and-Drop Js -->
      <script type="text/javascript" src="resource/js/angular-dragdrop.min.js"></script>
      
      <!-- Bootstrap File -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css">
      <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/themes/ui-lightness/jquery-ui.min.css">
      <link rel="stylesheet" href="resource/css/angular-dragdrop.min.css">
   </head>
   <body>
      <div id="angularDragdrop" class="container">
         <h1 align="center" class="text-primary">AngularJS Drag-and-Drop</h1>
         <hr />
         
         <!------ ANGULAR JAVASCRIPT 'DRAG-AND-DROP' EXAMPLE ------>
         <div ng-app="myApp" ng-controller="myCtrl">
            <div id="products">
               <h3 align="center" class="text-danger">Products</h3>
               <div id="product_catalog">
                  <h4><a href="#" class="text-secondary">T-Shirts</a></h4>
                  <div>
                     <ul>
                        <li class="pointer" ng-repeat='item in shirts' ng-show="item.title" data-drag="true" data-jqyoui-options="{revert: 'invalid', helper: 'clone'}" ng-model="shirts" jqyoui-draggable="{index: {{$index}}, animate: true, placeholder: 'keep'}">{{ item.title }}</li>
                     </ul>
                  </div>
                  <h4><a href="#" class="text-secondary">Bags</a></h4>
                  <div>
                     <ul>
                        <li class="pointer" ng-repeat='item in bag' ng-show="item.title" data-drag="true" data-jqyoui-options="{revert: 'invalid', helper: 'clone'}" ng-model="bag" jqyoui-draggable="{index: {{$index}}, placeholder: 'keep'}">{{ item.title }}</li>
                     </ul>
                  </div>
                  <h4><a href="#" class="text-secondary">Gadgets</a></h4>
                  <div>
                     <ul>
                        <li class="pointer" ng-repeat='item in gadget' ng-show="item.title" data-drag="true" data-jqyoui-options="{revert: 'invalid', helper: 'clone'}" ng-model="gadget" jqyoui-draggable="{index: {{$index}}, placeholder: 'keep'}">{{ item.title }}</li>
                     </ul>
                  </div>
               </div>
            </div>
            <div id="cart">
               <h3 align="center" class="text-danger">Shopping Cart</h3>
               <div class="ui-widget-content">
                  <ol data-drop="true" ng-model='shopBagList' jqyoui-droppable="{multiple:true}">
                     <li ng-repeat="item in shopBagList track by $index" ng-show="item.title" data-drag="true" data-jqyoui-options="{revert: 'invalid', helper: 'clone'}" ng-model="shopBagList" jqyoui-draggable="{index: {{$index}},animate:true}">{{ item.title }}</li>
                     <li class="placeholder" ng-hide="hideMe()">Add your items here</li>
                  </ol>
               </div>
            </div>
         </div>
      </div>
   </body>
</html>